com.impinj.stp

## Class StpApi.VoidTagResponsibility.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>
      - - com.impinj.stp.StpApi.VoidTagResponsibility.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.VoidTagResponsibilityOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.VoidTagResponsibility

      public static final class StpApi.VoidTagResponsibility.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>
      implements StpApi.VoidTagResponsibilityOrBuilder

  Protobuf type `Impinj.STP.VoidTagResponsibility`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.VoidTagResponsibility` | `build()`
    `StpApi.VoidTagResponsibility` | `buildPartial()`
    `StpApi.VoidTagResponsibility.Builder` | `clear()`
    `StpApi.VoidTagResponsibility.Builder` | `clearFirstEpcWords()` Encode first two EPC words to DEAD DEAD.
    `StpApi.VoidTagResponsibility.Builder` | `clearKill()` Kill the tag.
    `StpApi.VoidTagResponsibility.Builder` | `clearPcWordToZero()` Set EPC Length to 0.
    `StpApi.VoidTagResponsibility.Builder` | `clearPermalock()` Permalock the entire tag.
    `StpApi.VoidTagResponsibility.Builder` | `clone()`
    `StpApi.VoidTagResponsibility` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getFirstEpcWords()` Encode first two EPC words to DEAD DEAD.
    `boolean` | `getKill()` Kill the tag.
    `boolean` | `getPcWordToZero()` Set EPC Length to 0.
    `boolean` | `getPermalock()` Permalock the entire tag.
    `boolean` | `hasFirstEpcWords()` Encode first two EPC words to DEAD DEAD.
    `boolean` | `hasKill()` Kill the tag.
    `boolean` | `hasPcWordToZero()` Set EPC Length to 0.
    `boolean` | `hasPermalock()` Permalock the entire tag.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.VoidTagResponsibility.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.VoidTagResponsibility.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.VoidTagResponsibility.Builder` | `mergeFrom(StpApi.VoidTagResponsibility other)`
    `StpApi.VoidTagResponsibility.Builder` | `setFirstEpcWords(boolean value)` Encode first two EPC words to DEAD DEAD.
    `StpApi.VoidTagResponsibility.Builder` | `setKill(boolean value)` Kill the tag.
    `StpApi.VoidTagResponsibility.Builder` | `setPcWordToZero(boolean value)` Set EPC Length to 0.
    `StpApi.VoidTagResponsibility.Builder` | `setPermalock(boolean value)` Permalock the entire tag.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>`

    - #### clear

          public StpApi.VoidTagResponsibility.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>`

    - #### clone

          public StpApi.VoidTagResponsibility.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.VoidTagResponsibility getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.VoidTagResponsibility build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.VoidTagResponsibility buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.VoidTagResponsibility.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.VoidTagResponsibility.Builder>`

    - #### mergeFrom

          public StpApi.VoidTagResponsibility.Builder mergeFrom(StpApi.VoidTagResponsibility other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagResponsibility.Builder>`

    - #### mergeFrom

          public StpApi.VoidTagResponsibility.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.VoidTagResponsibility.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasPcWordToZero

          public boolean hasPcWordToZero()

      Set EPC Length to 0.
      Specified by:
        `hasPcWordToZero` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### getPcWordToZero

          public boolean getPcWordToZero()

      Set EPC Length to 0.
      Specified by:
        `getPcWordToZero` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### setPcWordToZero

          public StpApi.VoidTagResponsibility.Builder setPcWordToZero(boolean value)

      Set EPC Length to 0.

    - #### clearPcWordToZero

          public StpApi.VoidTagResponsibility.Builder clearPcWordToZero()

      Set EPC Length to 0.

    - #### hasFirstEpcWords

          public boolean hasFirstEpcWords()

      Encode first two EPC words to DEAD DEAD.
      Specified by:
        `hasFirstEpcWords` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### getFirstEpcWords

          public boolean getFirstEpcWords()

      Encode first two EPC words to DEAD DEAD.
      Specified by:
        `getFirstEpcWords` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### setFirstEpcWords

          public StpApi.VoidTagResponsibility.Builder setFirstEpcWords(boolean value)

      Encode first two EPC words to DEAD DEAD.

    - #### clearFirstEpcWords

          public StpApi.VoidTagResponsibility.Builder clearFirstEpcWords()

      Encode first two EPC words to DEAD DEAD.

    - #### hasPermalock

          public boolean hasPermalock()

      Permalock the entire tag.
      Specified by:
        `hasPermalock` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### getPermalock

          public boolean getPermalock()

      Permalock the entire tag.
      Specified by:
        `getPermalock` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### setPermalock

          public StpApi.VoidTagResponsibility.Builder setPermalock(boolean value)

      Permalock the entire tag.

    - #### clearPermalock

          public StpApi.VoidTagResponsibility.Builder clearPermalock()

      Permalock the entire tag.

    - #### hasKill

          public boolean hasKill()

      Kill the tag.
      Specified by:
        `hasKill` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### getKill

          public boolean getKill()

      Kill the tag.
      Specified by:
        `getKill` in interface `StpApi.VoidTagResponsibilityOrBuilder`

    - #### setKill

          public StpApi.VoidTagResponsibility.Builder setKill(boolean value)

      Kill the tag.

    - #### clearKill

          public StpApi.VoidTagResponsibility.Builder clearKill()

      Kill the tag.